package com.aiup.service.entity;

import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * (XhsUserBase)实体类
 *
 * @author makejava
 * @since 2023-08-22 12:54:52
 */

@ApiModel("")
public class XhsUserBase implements Serializable {
    private static final long serialVersionUID = 407767772692094362L;
        
    @ApiModelProperty(value = "${column.comment}")
    private Integer id;
        
    @ApiModelProperty(value = "${column.comment}")
    private String redId;
    /**
     * 红人id
     */    
    @ApiModelProperty(value = "红人id")
    private String userId;
    /**
     * 用户名
     */    
    @ApiModelProperty(value = "用户名")
    private String nickname;
    /**
     * 性别
     */    
    @ApiModelProperty(value = "性别")
    private String gender;
    /**
     * 个性签名
     */    
    @ApiModelProperty(value = "个性签名")
    private String desc;
    /**
     * 关注数
     */    
    @ApiModelProperty(value = "关注数")
    private Long follows;
    /**
     * 粉丝数
     */    
    @ApiModelProperty(value = "粉丝数")
    private Long fans;
    /**
     * 喜欢数
     */    
    @ApiModelProperty(value = "喜欢数")
    private Long liked;
    /**
     * 收藏数
     */    
    @ApiModelProperty(value = "收藏数")
    private Long collected;
    /**
     * 位置
     */    
    @ApiModelProperty(value = "位置")
    private String location;
    /**
     * 等级
     */    
    @ApiModelProperty(value = "等级")
    private String levelName;
    /**
     * 等级id
     */    
    @ApiModelProperty(value = "等级id")
    private Integer levelNumber;
    /**
     * 认证
     */    
    @ApiModelProperty(value = "认证")
    private String verify;
    /**
     * 个人主页
     */    
    @ApiModelProperty(value = "个人主页")
    private String homepageurl;
    /**
     * 文章数
     */    
    @ApiModelProperty(value = "文章数")
    private Integer note;
    /**
     * 头像
     */    
    @ApiModelProperty(value = "头像")
    private String profilePhoto;
    /**
     * 更新时间
     */    
    @ApiModelProperty(value = "更新时间")
    private Integer updateTime;
    /**
     * 创建时间
     */    
    @ApiModelProperty(value = "创建时间")
    private Integer createTime;
    /**
     * 该用户是否注销
     */    
    @ApiModelProperty(value = "该用户是否注销")
    private Integer isDel;
    /**
     * 邮箱地址
     */    
    @ApiModelProperty(value = "邮箱地址")
    private String descHidden;
    /**
     * 0：普通用户1：个人用户2：企业用户3：机构用户
     */    
    @ApiModelProperty(value = "0：普通用户1：个人用户2：企业用户3：机构用户")
    private Integer verifyType;
    /**
     * 个人认证
     */    
    @ApiModelProperty(value = "个人认证")
    private String authentication;
    /**
     * 年龄
     */    
    @ApiModelProperty(value = "年龄")
    private Integer age;
    /**
     * IP归属地
     */    
    @ApiModelProperty(value = "IP归属地")
    private String ipLocation;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRedId() {
        return redId;
    }

    public void setRedId(String redId) {
        this.redId = redId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Long getFollows() {
        return follows;
    }

    public void setFollows(Long follows) {
        this.follows = follows;
    }

    public Long getFans() {
        return fans;
    }

    public void setFans(Long fans) {
        this.fans = fans;
    }

    public Long getLiked() {
        return liked;
    }

    public void setLiked(Long liked) {
        this.liked = liked;
    }

    public Long getCollected() {
        return collected;
    }

    public void setCollected(Long collected) {
        this.collected = collected;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public Integer getLevelNumber() {
        return levelNumber;
    }

    public void setLevelNumber(Integer levelNumber) {
        this.levelNumber = levelNumber;
    }

    public String getVerify() {
        return verify;
    }

    public void setVerify(String verify) {
        this.verify = verify;
    }

    public String getHomepageurl() {
        return homepageurl;
    }

    public void setHomepageurl(String homepageurl) {
        this.homepageurl = homepageurl;
    }

    public Integer getNote() {
        return note;
    }

    public void setNote(Integer note) {
        this.note = note;
    }

    public String getProfilePhoto() {
        return profilePhoto;
    }

    public void setProfilePhoto(String profilePhoto) {
        this.profilePhoto = profilePhoto;
    }

    public Integer getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Integer updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Integer createTime) {
        this.createTime = createTime;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }

    public String getDescHidden() {
        return descHidden;
    }

    public void setDescHidden(String descHidden) {
        this.descHidden = descHidden;
    }

    public Integer getVerifyType() {
        return verifyType;
    }

    public void setVerifyType(Integer verifyType) {
        this.verifyType = verifyType;
    }

    public String getAuthentication() {
        return authentication;
    }

    public void setAuthentication(String authentication) {
        this.authentication = authentication;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getIpLocation() {
        return ipLocation;
    }

    public void setIpLocation(String ipLocation) {
        this.ipLocation = ipLocation;
    }

}

